#ifndef PackageTable_h
#define PackageTable_h

#include <qglobal.h>
#include <qnamespace.h>

#if QT_VERSION >= 0x040200
#define MODEL_HAS_ABOUTTOBERESET
#endif

namespace PackageTable {

   const Qt::ItemDataRole  RawValue = Qt::UserRole;

   enum Mode {
      FILTER,
      SEARCH
   };

   enum StateFilter {
      UPDATABLE,
      INSTALLABLE,
      REMOVABLE,
      ALL
   };

   enum Column {
      ACTION,
      STATE,
      KIND,
      NAME,
      VERREL,
      REPO,
      ARCH,
      SIZE,
      BUILDTIME,
      NUM_COLUMNS
   };

};

#endif
